<!DOCTYPE html>
<html lang = "en">
<head>
    <meta charset = "UTF-8">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-GLhlTQ8iRABdZLl6O3oVMWSktQOp6b7In1Zl3/Jr59b6EGGoI1aFkw7cmDA6j6gD" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha1/dist/js/bootstrap.bundle.min.js" integrity="sha384-w76AqPfDkMBDXo30jS1Sgez6pr3x5MlQ1ZAGC+nuZB+EYdgRZgiwxhTBTkF7CXvN" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css"/>
    <link rel="stylesheet" href="styles/style.css"/>
    <link rel="manifest" href="/manifest.json">
    <title>Students</title>
</head>
<body>
    <div class = "row bg-secondary p-3 d-flex justify-content-between m-0">
        <div class="col-1">
        <h2 class="text-light mb-0"><strong>CMS</strong></h2>
        </div>
        <div class="col-auto infoContainer pe-2 d-flex justify-content-end">
            <div class="drop msg-dropdown">
                <div class="notificationCircle">0</div>
                <a href=""><img class="bell" src="photos/bell.png" alt=""></a>
                    <div class="msg-dropdown-content">
                      <div class="msg">
                        <div class="msg-sender">
                          <img
                            class="msg-sender-img"
                            src="photos/bulgakoV_adekVatnyy.jfif"
                            alt="Avatar of user"
                          />
                          <p>AdekVatnyy_BulgakoV</p>
                        </div>
                        <span class="msg-text"
                          >Zadacha budet Vypolnena (Za PraVdu).</span
                        >
                      </div>
                      <div class="msg">
                        <div class="msg-sender">
                          <img
                            class="msg-sender-img"
                            src="photos/otryady_putina.jpg"
                            alt="Avatar of user"
                          />
                          <p>Ruzha_babka_Z</p>
                        </div>
                        <span class="msg-text"
                          >Vot eto vsyo eta Vash Baiden vinovat.</span
                        >
                      </div>
                    </div>
            </div>
            <div class="drop">
                <a href="https://getbootstrap.com/docs/5.3/components/navbar/#nav">
                    <img class="photo rounded-circle me-1" src="photos/sharii.jfif" alt="">
                    <div id="myModal1" class="modal">
                        <a href="#">Profile</a>
                        <a href="#">Log Out</a>
                    </div>
                <span class= "text-light form-label">Maksym Ferents</span>
                </a>
            </div>
        </div>
    </div>
    <div class="row mt-4 ms-0 me-0">
        <div class="col-2 justify-content-center d-flex">
            <div>
                <div class="dashboard"><a class="text-secondary" href="#">Dashboard</a></div>
                <div class="students"><a class="text-secondary font-weight-bold" href="#"><strong>Students</strong></a></div>
                <div class="tasks"><a class="text-secondary" href="#">Tasks</a></div>
            </div>
        </div>
        <div class="col-8">
            <div class="row">
            <h1 class="d-inline-block">Students</h1>
            </div>
            <div class="plusButton position-absolute row mt-3 mb-5">
            <button id = "buttonAddStudent" class = "btn40x40 btn border-dark border-2">
                <i class="fa-solid fa-plus"></i>
            </button>
            </div>

            <div class="row tableOfStudents">
            <table id = "table">
                <tbody class="text-center">
                <tr class="border-0">                   
                    <th class="col-1"><span></span></th>
                    <th class="col"><span class="headerOfTable">Group</span></th>
                    <th class="col"><span class="headerOfTable">Name</span></th>
                    <th class="col"><span class="headerOfTable">Gender</span></th>
                    <th class="col"><span class="headerOfTable">Birthday</span></th>
                    <th class="col"><span class="headerOfTable">Status</span></th>
                    <th class="col"><span class="headerOfTable">Options</span></th>
                </tr>
                </tbody>
            </table>
            </div>
        </div>
        </div>
        <div class="student-window">
            <div class="student-window-content">
              <header class="student-window-header">
                <h3 class="student-window-heading">Add student</h3>
                <button class="btn--close-student-window"><i class="fa-sharp fa-solid fa-xmark"></i></button>
              </header>
              <form id="student-form" class="student-form">
                <div class="student-input-container">
                  <label for="group" class="student-form-label">Group</label>
                  <select name="group" id="group" class="student-input" required>
                    <option value="">Select group</option>
                    <option value="PZ-11">PZ-11</option>
                    <option value="PZ-12">PZ-12</option>
                    <option value="PZ-13">PZ-13</option>
                    <option value="PZ-14">PZ-14</option>
                    <option value="PZ-15">PZ-15</option>
                    <option value="PZ-16">PZ-16</option>
                    <option value="PZ-17">PZ-17</option>
                    <option value="PZ-18">PZ-18</option>
                    <option value="PZ-21">PZ-21</option>
                    <option value="PZ-22">PZ-22</option>
                    <option value="PZ-23">PZ-23</option>
                    <option value="PZ-24">PZ-24</option>
                    <option value="PZ-25">PZ-25</option>
                    <option value="PZ-26">PZ-26</option>
                    <option value="PZ-31">PZ-31</option>
                    <option value="PZ-32">PZ-32</option>
                    <option value="PZ-33">PZ-33</option>
                    <option value="PZ-34">PZ-34</option>
                    <option value="PZ-35">PZ-35</option>
                    <option value="PZ-36">PZ-36</option>
                    <option value="PZ-41">PZ-41</option>
                    <option value="PZ-42">PZ-42</option>
                    <option value="PZ-43">PZ-43</option>
                    <option value="PZ-44">PZ-44</option>
                    <option value="PZ-45">PZ-45</option>
                    <option value="PZ-46">PZ-46</option>
                    <option value="PZM-11">PZM-11</option>
                    <option value="PZIP-11">PZIP-11</option>
                    <option value="PZIP-12">PZIP-12</option>
                  </select>
                </div>
                <div class="student-input-container">
                  <label for="first-name" class="student-form-label"
                    >First name</label
                  >
                  <input
                    name="first-name"
                    id="first-name"
                    type="text"
                    class="student-input"
                    required
                  />
                </div>
                <div class="student-input-container">
                  <label for="last-name" class="student-form-label"
                    >Last name</label
                  >
                  <input
                    name="last-name"
                    id="last-name"
                    type="text"
                    class="student-input"
                    required
                  />
                </div>
                <div class="student-input-container">
                  <label for="gender" class="student-form-label">Gender</label>
                  <select
                    name="gender"
                    id="gender"
                    class="student-input"
                    required
                  >
                    <option value="">Select gender</option>
                    <option value="Male">Male</option>
                    <option value="Female">Female</option>                    
                    <option value="Povtorka">Povtorka</option>
                  </select>
                </div>
                <div class="student-input-container">
                  <label for="birthday" class="student-form-label"
                    >Birthday</label
                  >
                  <input
                    name="birthday"
                    id="birthday"
                    type="date"
                    class="student-input"
                    required
                  />
                </div>
                <div class="form-buttons">
                  <button class="btn--form btn--form-submit" type="submit">
                    Submit
                  </button>
                  <button class="btn--form btn--form-cancel" type="button">
                    Cancel
                  </button>
                </div>
              </form>
            </div>
          </div>
          <div class="delete-student-window">
            <div class="delete-student-window-content">
              <header class="delete-student-header">
                <h3 class="delete-student-window-heading">Warning</h3>
                <button class="btn--close-student-window"><i class="fa-sharp fa-solid fa-xmark"></i></button>
              </header>
              <p class="delete-student-text">
                Are you sure you want to delete
                <span class="student-to-delete">User</span>?
              </p>
              <form class="delete student-form">
                <div class="form-buttons">
                  <button
                    class="btn--form btn--delete-student-submit"
                    type="submit">Ok
                  </button>
                  <button
                    class="btn--form btn--delete-student-cancel"
                    type="button">Cancel
                  </button>
                </div>
              </form>
            </div>
          </div>
  
        <script src="scripts/Lab1.js"></script>
    <ul class="pagination">
        <li><i class="fa-solid fa-arrow-left"></i></li>
        <li class="Font"><a href="#">1</a></li>
        <li class="Font"><a href="#">2</a></li>
        <li class="Font"><a href="#">3</a></li>
        <li><i class="fa-solid fa-arrow-right"></i></li>
    </ul>
    </body>
</html>
